<?php

/* ========================================================
head 初期設定
=========================================================*/
//デフォルトjsの入れ替えとCSS読み込み
function add_files() {
    /* WPのjQueryを読み込まない */
    wp_deregister_script('jquery');

    /* googleのCDN jQueryをフッターで読み込む */
    wp_register_script('jquery', '//ajax.googleapis.com/ajax/libs/jquery/3.6.1/jquery.min.js', array(), NULL, true);

    /* 再設定 */
    wp_enqueue_script('jquery');

    // テーマCSSを読み込む
    wp_enqueue_style( 'main', get_template_directory_uri() . '/style.css', '', '2022','' );
}
add_action('wp_enqueue_scripts', 'add_files');

//headの<title>タグを自動出力
add_theme_support( 'title-tag' );

//headのフィード出力
add_theme_support('automatic-feed-links');

//headのWordPressバージョン表示を削除
remove_action('wp_head','wp_generator');

//headの外部ツールの編集用URLの表示を削除
remove_action('wp_head', 'rsd_link');

//headのWindows Live Writerの編集用URLの表示を削除
remove_action('wp_head', 'wlwmanifest_link');

//headの短縮URLのデフォルトパーマリンクタグ削除
remove_action( 'wp_head', 'wp_shortlink_wp_head', 10, 0 );

//headの絵文字読み込み削除
remove_action('wp_head', 'print_emoji_detection_script', 7);
remove_action('wp_print_styles', 'print_emoji_styles', 10);


/* ========================================================
機能追加
=========================================================*/
//アイキャッチを利用する
add_theme_support( 'post-thumbnails' );
